<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>HTML Form With Validation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="main.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="form.css" />
</head>

<body>
    <div class="container">
        <div class="card">

            <div class="card-header">
                <h1>A Simple Form with JS validation.</h1>
            </div>

            <div class="card-content">
                <!-- action is set to # as we have nowhere to post to. -->
                <form class="form" action="#" method="post">
                    <div class="input-group">
                        <input type="text" id="name" placeholder="Full Name" required>
                        <label for="name">Full Name</label>
                    </div>
                    <div class="input-group">
                        <input type="tel" id="phoneNumber" placeholder="Phone Number" size="10" minlength="10" maxlength="10" required>
                        <label for="phoneNumber">Phone Number</label>
                    </div>
                    <div class="input-group">
                        <input type="number" id="age" placeholder="Age" min="1" max="100" required>
                        <label for="age">Age</label>
                    </div>
                    <div class="input-group">
                        <input type="email" id="email" placeholder="Email" required>
                        <label for="email">Email</label>
                    </div>
                    <div class="input-group">
                        <input type="password" id="password" placeholder="Password" required>
                        <label for="password">Password</label>
                    </div>
                    <div class="input-group">
                        <input type="password" id="confirm_password" placeholder="Confirm-Password" required>
                        <label for="confirm_password">Confirm Password</label>
                    </div>

                    <div class="card-footer">
                        <button class="button" type="submit" id="submit_button">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script src="form.js"></script>
</body>

</html>